class BookCatalog
  def initialize
    @books = []
  end

  def << (book)
    @books << book
  end

  def total_value_in_store
    sum = 0
    for book in @books
      sum += book.price
    end
    sum
  end

  def number_of_each_isbn
    isbns = Hash.new(0)
    for book in @books
      isbns[book.isbn] += 1
    end
    isbns
  end
end
